# Use Dropbox if it's present.
# TODO This should actually be configurable by the user.
if Dir.exists?(File.join(Dir.home, "Dropbox"))
  path = File.join(Dir.home, "Dropbox", "Kale")
  Dir.mkdir(path) unless Dir.exists?(path)
else
  path = File.join(Dir.home, ".Kale")
  Dir.mkdir(path) unless Dir.exists?(path)
end

DB = Sequel.connect("sqlite://#{path}/kale.db")

unless DB.table_exists? :projects
  DB.create_table :projects do
    primary_key :id
    String :name
    Integer :rate_per_hour
  end
end

unless DB.table_exists? :sessions
  DB.create_table :sessions do
    primary_key :id
    Integer  :project_id
    String   :description
    DateTime :start_time
    DateTime :end_time
    Integer  :elapsed_time
  end
end
