class HTMLInvoiceExporter
  
  def initialize project
    @project = project

    self.prefix
    self.body
    self.suffix
    
    self.write
  end
  
  protected
  
  def prefix
    @html = %Q(
      <!doctype html>
      <html>
        <head>
          <title>
            #{@project.name} Invoice
          </title>
        </head>
      <body>
    )
  end
  
  def body
    self.body_builder
  end

  def suffix
    @html += "</body></html>"
  end
  
  def write
    filename = "#{@project.name}.html"
    file = File.open filename, 'w+'
    file.write @html
    file.close
    puts "Created an invoice - #{filename}"
  end
  
  def body_builder
    @html += %Q(
      <h1>#{@project.name}</h1>
      <table>
        <thead>
          <tr>
            <th>Work</th>
            <th>Time</th>
          </tr>
        </thead>
        <tbody>
    )
    
    @project.sessions.each do |session|
      @html += %Q(
        <tr>
          <td>#{session.description}</td>
          <td>#{session.elapsed_time}</td>
        </tr>
      )
    end

    @html += %Q(
      </tbody>
      <tfoot>
        <tr>
          <td>
            #{seconds_to_hms(@project.total_time)}
          </td>
          <td>
            #{@project.total_earned}
          </td>
        </tr>
      </tfoot>
    </table>
    )
  end

end
